Pagina 7 di 10

Re: flash in blu

Inviato: gio ott 25, 2012 11:37
da ZeroUno
No, gli header non ci sono.
Magari nella nuova versione posso aggiungere gli header degli open.

Confermo che l'effetto puffo scompare con i driver beta con flash 11.2 e accelerazione attiva e senza il workaround di mms.cfg. Se ci siano controindicazioni ancora non ve lo so dire.
Ora ve li carico da una parte temporanea così me li testate. In quanto beta non posso caricarli (o almeno non subito) sul repo slacky, e sul mio preferisco comunque prima dargli una sistemata.

cosa hai dovuto togliere da nvidia.conf?
A me senza di quelle (non ricordo quali) non mi gestiva correttamente la luminosità.

Io ho anche un altro file di configurazione che non ho messo nel pacchetto perchè non è proprio del tutto specifico per nvidia:
/etc/X11/xorg.conf.d/monitor.conf

Codice: Seleziona tutto

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "Unknown"
    HorizSync       28.0 - 33.0
    VertRefresh     43.0 - 72.0
    Option "DPMS" "1"
EndSection

è chiaro che le frequenze variano da monitor a monitor.

mi puoi dare i dettagli del problema per replicarlo sul mio pc?



edit: caricati quì: http://files.z01.eu/pkgs/

Re: flash in blu

Inviato: gio ott 25, 2012 11:53
da Trotto@81
Ho sempre usato il pacchetto esterno di libvdpau altrimenti non riesco a compilare i programmi che sfruttano vdpau, che risulta praticamente inutile altrimenti.

Dal tuo file ho commentato queste righe

Codice: Seleziona tutto

Option        "RegistryDwords" "EnableBrightnessControl=1"
Option        "TripleBuffer" "True"

Re: flash in blu

Inviato: gio ott 25, 2012 12:32
da ZeroUno
Per caso hai messo il 310.14?
Sto provando ad inserire gli header in nvidia-vdpau 310.14

Matteo

Re: flash in blu

Inviato: gio ott 25, 2012 12:33
da Trotto@81
No no, sono fermo al 304.60.

Re: flash in blu

Inviato: gio ott 25, 2012 12:48
da ZeroUno
http://www.nvidia.com/object/linux-disp ... river.html

Gli header di nvidia dovrebbero essere esattamente gli stessi delle open.



Dovresti provare a copiarti
usr/include/vdpau/vdpau.h
usr/include/vdpau/vdpau_x11.h
usr/lib64/pkgconfig/vdpau.pc

salvati anche
usr/lib64/libvdpau.la

disinstalla libvdpau e installa nvidia-vdpau
restora i primi 3 file
prova a compilare e avviare.
se uno dei due non va restora anche il 4° file ma prima editalo cambiando
library_names='libvdpau.so.1.0.0 libvdpau.so.1 libvdpau.so'
in
library_names='libvdpau.so.304.51 libvdpau.so.1 libvdpau.so'

e riprova.

Se tutto va bene dimmelo che li inserisco nel pacchetto.

Interessante anche provare a compilare con libvdpau e avviare con nvidia-vdpau e viceversa per capire se sono veramente interscambiabili.

Ce l'hai un pacchetto piccolo che vuole come dipendenza libvdpau?

Re: flash in blu

Inviato: gio ott 25, 2012 13:11
da Trotto@81
No, perchè vdpau non è una vera e propria dipendenza.
Potrei eliminare benissimo libvdpau e vedere MPlayer continuare ad usare perfettamente l'accelerazione hw, l'importante è che ci sia durante la compilazione.
Tu hai provato l'accelerazione con MPlayer?

Re: flash in blu

Inviato: gio ott 25, 2012 13:51
da ZeroUno
No, difficilmente guardo video.

Scusa, perchè gli serve per compilarlo se poi non lo usa? ldd di NESSUN file linka a libvdpau.so?

Re: flash in blu

Inviato: gio ott 25, 2012 15:13
da Trotto@81
Ma la libreria è comunque inclusa nei driver, se levo libvdpau continua ad andare.

Codice: Seleziona tutto

ldd /usr/bin/mplayer | grep vdpau
        libvdpau.so.1 => /usr/lib64/libvdpau.so.1 (0x00007fbaa5d25000)

Re: flash in blu

Inviato: gio ott 25, 2012 21:57
da ZeroUno
ecco, questo dicevo.
Se le togli entrambe non funziona più

Il mio pacchetto (nella >= 304.60) ha driver e libreria in due pacchetti separati, così ti installi il driver e di vdpau ti scegli quale mettere.

Matteo

Re: flash in blu

Inviato: ven ott 26, 2012 9:05
da Trotto@81
Se li hai separati è ottimo per due motivi, hai modo di aggiornare vdpau senza aggiornare i driver e non sovrascrivi file comuni contenuti in due pacchetti diversi.
Però ti ripeto, sarebbe bello che al posto di nvidia-vdpau sostituissi libvdpau con i relativi header. :)

Re: flash in blu

Inviato: ven ott 26, 2012 10:33
da ZeroUno
Trotto@81 ha scritto:Però ti ripeto, sarebbe bello che al posto di nvidia-vdpau sostituissi libvdpau con i relativi header. :)

non capisco cosa dici
l'open libvdpau è caricato su slacky e non ha senso metterlo dentro il pacchetto nvidia-vdpau nel quale metto i proprietari, e a breve ci carico pure gli header.
Personalmente con gli open-libvdpau non mi sono trovato benissimo, e soprattutto ora che nvidia, nei beta, ha risolto il blue-problem credo che continuerò ad utilizzare i vdpau proprietari.
Ma visto che non sono un dittatore :) chi usa il mio pacchetto ha la facoltà di installare il driver nvidia e il vdpau che gli pare.

nota: anche gli slackbuild bumblebee hanno aggiornato a beta.

Re: flash in blu

Inviato: ven ott 26, 2012 10:34
da Trotto@81
Ecco, pure solo gli header per poter compilare i programmi che lo sfruttano sarebbe l'ideale. :)

Re: flash in blu

Inviato: ven ott 26, 2012 11:51
da ZeroUno
Si, ma sto testando per la compatibilità perchè ho notato qualche differenza a ldd dei due pacchetti.

Sinceramente non ho ben capito le differenze tra i due. Sicuramente quelli nvidia hanno maggiori dipendenze.

E debuggando ho scoperto che il vdpau di nvidia onora vdpau_wrapper.cfg, cosa non documentata e non presente nel pacchetto (ma le opzioni che risolvono il bug sono quelle di default.

E nel frattempo Adobe ha rilasciato il nuovo flash-player-plugin 11.2.202.243 (che io ho già caricato sul mio repository)

Re: flash in blu

Inviato: ven ott 26, 2012 11:57
da Trotto@81
Veramente quella versione di Flash è fuori da un bel pezzo oramai. :D
Se leggi indietro scrissi già di usarla.
Per i driver ti dico che personalmente il vdpau senza modo di sfruttarlo è inutile.
Le libvdpau esterne sovrascrivono quelle incluse nei driver aggiungendo gli header, per me andrebbe bene continuare così.

Re: flash in blu

Inviato: ven ott 26, 2012 12:20
da ZeroUno
no, non sovrascrivono.
sovrascrivono solo i link.

Una domanda e poi pacchettizzo.

Secondo te per compilare, è necessario il file /usr/lib64/libvdpau.la ? (anzi, magari un test. eliminare questo file e provare a compilare)